> ## Documentation Index
> Fetch the complete documentation index at: https://docs.littledemo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current usage and plan info

` GET /api/v1/usage `

Get current usage and plan info

## Servers

- ` https://littledemo.com ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` bearerAuth `: ` http `

  - HTTP scheme: ` bearer `

  - Live API key, for example `Authorization: Bearer ld_live_...`.

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Dashboard session cookie.

## Responses

### ` 200 ` — Usage info

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` plan `, ` usage `, ` creditBalance `, ` autoTopoff `, ` creditPacks `, ` totalRemaining `, ` demoCount `

  - ` plan `: type ` object `

    - Required fields: ` id `, ` name `, ` monthlyDemos `, ` maxDurationSec `, ` resolution `, ` watermark `, ` price `

    - ` id `: type ` string `

    - ` name `: type ` string `

    - ` monthlyDemos `: type ` number `

    - ` maxDurationSec `: type ` number `

    - ` resolution `: type ` string `

    - ` watermark `: type ` boolean `

    - ` price `: type ` number `

  - ` usage `: type ` object `

    - Required fields: ` demosThisMonth `, ` demosLimit `, ` demosRemaining `

    - ` demosThisMonth `: type ` number `

    - ` demosLimit `: type ` number `

    - ` demosRemaining `: type ` number `

  - ` creditBalance `: type ` number `

  - ` autoTopoff `: type ` object `

    - Required fields: ` enabled `, ` packId `

    - ` enabled `: type ` boolean `

    - ` packId `: type ` string `

      - enum: ` ["5","20","50","100"] `

  - ` creditPacks `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` id `, ` credits `, ` price `, ` perCredit `, ` savings `, ` label `

      - ` id `: type ` string `

        - enum: ` ["5","20","50","100"] `

      - ` credits `: type ` number `

      - ` price `: type ` number `

      - ` perCredit `: type ` number `

      - ` savings `: type ` number `

      - ` label `: type ` string `

      - ` popular `: type ` boolean `

  - ` totalRemaining `: type ` number `

  - ` demoCount `: type ` number `

## Request examples

### cURL

```curl
curl -X GET 'https://littledemo.com/api/v1/usage' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://littledemo.com/api/v1/usage', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://littledemo.com/api/v1/usage', headers=headers)
print(response.json())
```